Package org.apache.lucene.facet

## Class TopOrdAndFloatQueue.OrdAndValue

- java.lang.Object
- - org.apache.lucene.facet.TopOrdAndFloatQueue.OrdAndValue

- Enclosing class:
    TopOrdAndFloatQueue

      public static final class TopOrdAndFloatQueue.OrdAndValue
      extends Object

  Holds a single entry.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `ord` | Ordinal of the entry.
    `float` | `value` | Value associated with the ordinal.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OrdAndValue()` | Default constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ord

          public int ord

      Ordinal of the entry.

    - #### value

          public float value

      Value associated with the ordinal.

  - ### Constructor Detail

    - #### OrdAndValue

          public OrdAndValue()

      Default constructor.